Skip to main content
`Ctrl`+`K`

# DMPlexTriangleSetOptions

Set the options used for the Triangle mesh generator

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexTriangleSetOptions(DM dm, const char *opts)

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- opts - The command line options

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTetgenSetOptions()`, `DMPlexGenerate()`

## Level

developer

## Location

src/dm/impls/plex/plexgenerate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages